<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.7/dist/umd/popper.min.js"
        integrity="sha384-zYPOMqeu1DAVkHiLqWBUTcbYfZ8osu1Nd6Z89ify25QV9guujx43ITvfi12/QExE"
        crossorigin="anonymous"></script>
    <style>
        .numeros {
            background-color: rgb(86, 201, 240);
        }

        .encabezado,
        .pie {
            background-color: rgb(92, 235, 73);
            height: 3vh;
        }

        .letras {
            background-color: rgb(185, 183, 183);
        }

        .tipo {
            background-color: aqua;
            height: 5vh;
        }

        .emojis {
            background-color: rgb(236, 166, 86);
        }

        .emojis,
        .numeros,
        .letras {
            height: 10vh;
        }

        /* .numeros,
        .letras,
        .desktop,
        .emojis,
        .pie {
            border: 2px solid gray;
        } */
        /* se sustituye por el de abajo*/
        .row * {
            border: 2px solid gray;
        }

        .saltolinea {
            border: none;
        }

        .encabezado {
            border: 1px solid gray;
            height: 5vh;
        }
    </style>
</head>

<body>
    <div class="container-fluid ">
        <div class="row mt-2 mb-2 g-2 ">
            <div class="encabezado col-12 d-flex justify-content-center align-items-center">Header</div>
        </div>
        <div class="row mb-2 g-2">
            <div class="numeros col-sm-3 col-6 offset-md-3 d-flex justify-content-center align-items-center">1</div>
            <div class="numeros col-sm-3 col-6 d-flex justify-content-center align-items-center">2</div>
            <div class="w-100 saltolinea d-none d-md-block"></div>
            <div class="numeros col-sm-3 col-6 d-flex justify-content-center align-items-center">3</div>
            <div class="numeros col-sm-3 col-6 offset-md-6 d-flex justify-content-center align-items-center">4</div>
        </div>
        <div class="row mb-2 g-2">
            <div class="letras order-md-4 col-sm-3 col-6 d-flex justify-content-center align-items-center">a</div>
            <div class="letras order-md-3 col-sm-3 col-6 d-flex justify-content-center align-items-center">b</div>
            <div class="letras order-md-2 col-sm-3 col-6 d-flex justify-content-center align-items-center">c</div>
            <div class="letras order-md-1 col-sm-3 col-6 d-flex justify-content-center align-items-center">d</div>
        </div>
        <div class="row mb-2 g-2">
            <div class="tipo col-12  d-none d-md-flex justify-content-center align-items-center">Desktop</div>
            <div class="tipo col-12 d-md-none d-none d-sm-flex justify-content-center align-items-center">Tablet
            </div>
            <div class="tipo col-12 d-sm-none d-flex justify-content-center align-items-center">Mobile</div>
        </div>
        <div class="row mb-2 g-2">
            <div
                class="emojis col-md-3 offset-md-3 col-sm-6 col-12 d-none d-sm-flex justify-content-center align-items-center">
                :(
            </div>
            <div class="emojis col-md-3 col-sm-6 col-12 d-flex justify-content-center align-items-center">:D
            </div>
        </div>
        <div class="row mb-2 g-2-">
            <div class="pie col-12 d-none d-sm-flex justify-content-center align-items-center">Footer</div>
        </div>
    </div>
</body>

</html>